function merged = combineCell(text,number)
% combineCell - Combine a string with an array of numbers into a cell
% array
%
% merged = combineCell(text,number)%
%
% Input arguments:
%   text: string to be combined
%   number: array of numbers to be combined
%
% Output arguments:
%   merged: cell array with the combinations
%
%  2021, Mondragon Unibertsitatea, Biomedical Engineering Department

B = cellstr(string(number'));
A = repmat({text},size(B,1),1);
merged = cellfun(@(x,y) [char(x),char(y)],A,B,'UniformOutput',false)';
